angular.module('focaModalRemito')
    .service('focaModalRemitoService', [
        '$http',
        'API_ENDPOINT',
        function($http, API_ENDPOINT) {
            return {
                getRemitos: function(usadoPor, fechaDesde, fechaHasta) {
                    var sinHojaRuta = (usadoPor === 'hojaRuta' ? '/sin-hoja-Ruta' : '');
                    return $http.get(API_ENDPOINT.URL + '/remito/listar/' + fechaDesde + '/' +
                        fechaHasta + sinHojaRuta);
                }
            };
        }
    ]);
